namespace EsbDecimals
{

#if (DEBUG)

	public class DecimalGlobals
#else
	/// <summary>
	/// Global Decimal Constants for <see cref="EsbDecimals"/> v2.1.0 - 10 June 2011.
	/// </summary>
	public static class DecimalGlobals
#endif

	{
		// Version Info

		/// <summary>
		/// String representing the Version of ESBDecimals.
		/// </summary>
		public const string Version = "2.1.0";

		/// <summary>
		/// String representing the Date of the latest Version of ESBDecimals.
		/// </summary>
		public const string VersionDate = "21 June 2011";

		// Decimal Constants

		/// <summary>
		/// Decimal Square Root of 2.
		/// </summary>
		public const decimal Sqrt2 = 1.4142135623730950488016887242097m;

		/// <summary>
		/// Decimal Square Root of 3.
		/// </summary>
		public const decimal Sqrt3 = 1.7320508075688772935274463415059m;

		/// <summary>
		/// Decimal Square Root of 5.
		/// </summary>
		public const decimal Sqrt5 = 2.2360679774997896964091736687313m;

		/// <summary>
		/// Decimal Square Root of 10.
		/// </summary>
		public const decimal Sqrt10 = 3.1622776601683793319988935444327m;

		/// <summary>
		/// Decimal Square Root of Pi.
		/// </summary>
		public const decimal SqrtPi = 1.7724538509055160272981674833411m;

		/// <summary>
		/// Decimal Cube Root of 2.
		/// </summary>
		public const decimal Cbrt2 = 1.2599210498948731647672106072782m;

		/// <summary>
		/// Decimal Cube Root of 3.
		/// </summary>
		public const decimal Cbrt3 = 1.4422495703074083823216383107801m;

		/// <summary>
		/// Decimal Cube Root of 10.
		/// </summary>
		public const decimal Cbrt10 = 2.1544346900318837217592935665194m;

		/// <summary>
		/// Decimal Cube Root of 100.
		/// </summary>
		public const decimal Cbrt100 = 4.6415888336127788924100763509194m;

		/// <summary>
		/// Decimal Cube Root of Pi.
		/// </summary>
		public const decimal CbrtPi = 1.4645918875615232630201425272638m;

		/// <summary>
		/// Decimal Inverse of Square Root of 2.
		/// </summary>
		public const decimal InvSqrt2 = 0.70710678118654752440084436210485m;

		/// <summary>
		/// Decimal Inverse of Square Root of 3.
		/// </summary>
		public const decimal InvSqrt3 = 0.57735026918962576450914878050196m;

		/// <summary>
		/// Decimal Inverse of Square Root of 5.
		/// </summary>
		public const decimal InvSqrt5 = 0.44721359549995793928183473374626m;

		/// <summary>
		/// Decimal Inverse of Square Root of Pi.
		/// </summary>
		public const decimal InvSqrtPi = 0.56418958354775628694807945156077m;

		/// <summary>
		/// Decimal Inverse of Cube Root of Pi.
		/// </summary>
		public const decimal InvCbrtPi = 0.68278406325529568146702083315816m;

		/// <summary>
		/// Decimal Natural Constant.
		/// </summary>
		public const decimal NaturalConstant = 2.7182818284590452353602874713527m;

		/// <summary>
		/// Decimal Square of Natural Constant.
		/// </summary>
		public const decimal SqrNaturalConstant = 7.389056098930650227230427460575m;

		/// <summary>
		/// Decimal Natural Constant raised to Pi.
		/// </summary>
		public const decimal NaturalConstant2Pi = 23.140692632779269005729086367949m;

		/// <summary>
		/// Decimal Natural Constant raised to Pi/2.
		/// </summary>
		public const decimal NaturalConstant2PiOver2 = 4.8104773809653516554730356667038m;

		/// <summary>
		/// Decimal Natural Constant raised to Pi/4.
		/// </summary>
		public const decimal NaturalConstant2PiOver4 = 2.1932800507380154565597696592787m;

		/// <summary>
		/// Decimal Natural Log of 2.
		/// </summary>
		public const decimal Ln2 = 0.69314718055994530941723212145818m;

		/// <summary>
		/// Decimal Natural Log of 10.
		/// </summary>
		public const decimal Ln10 = 2.3025850929940456840179914546844m;

		/// <summary>
		/// Decimal Natural Log of Pi.
		/// </summary>
		public const decimal LnOfPi = 1.1447298858494001741434273513531m;

		/// <summary>
		/// Decimal Log to Base 2 of 10.
		/// </summary>
		public const decimal Log10Base2 = 3.3219280948873623478703194294894m;

		/// <summary>
		/// Decimal Log to Base 10 of 2.
		/// </summary>
		public const decimal Log2 = 0.30102999566398119521373889472449m;

		/// <summary>
		/// Decimal Log to Base 10 of 3.
		/// </summary>
		public const decimal Log3 = 0.47712125471966243729502790325512m;

		/// <summary>
		/// Decimal Log to Base 10 of Pi.
		/// </summary>
		public const decimal LogPi = 0.4971498726941339m;

		/// <summary>
		/// Decimal Log to Base 10 of Natural Constant.
		/// </summary>
		public const decimal LogNaturalConstant = 0.4971498726941338543512682882909m;

		/// <summary>
		/// Decimal Accurate Pi Constant.
		/// </summary>
		public const decimal Pi = 3.1415926535897932384626433832795m;

		/// <summary>
		/// Decimal Inverse of Pi.
		/// </summary>
		public const decimal InvPi = 0.31830988618379067153776752674503m;

		/// <summary>
		/// Decimal 2 * Pi.
		/// </summary>
		public const decimal TwoPi = 6.283185307179586476925286766559m;

		/// <summary>
		/// Decimal 3 * Pi.
		/// </summary>
		public const decimal ThreePi = 9.4247779607693797153879301498385m;

		/// <summary>
		/// Decimal Square of Pi.
		/// </summary>
		public const decimal SqrPi = 9.8696044010893586188344909998762m;

		/// <summary>
		/// Decimal Pi raised to the Natural Constant.
		/// </summary>
		public const decimal Pi2E = 22.459157718361045473427152204544m;

		/// <summary>
		/// Decimal Half of Pi.
		/// </summary>
		public const decimal PiOver2 = 1.5707963267948966192313216916398m;

		/// <summary>
		/// Decimal Third of Pi.
		/// </summary>
		public const decimal PiOver3 = 1.0471975511965977461542144610932m;

		/// <summary>
		/// Decimal Quarter of Pi.
		/// </summary>
		public const decimal PiOver4 = 0.78539816339744830961566084581988m;

		/// <summary>
		/// Decimal Fifth of Pi.
		/// </summary>
		public const decimal PiOver5 = 0.62831853071795864769252867655901m;

		/// <summary>
		/// Decimal Sixth of Pi.
		/// </summary>
		public const decimal PiOver6 = 0.52359877559829887307710723054658m;

		/// <summary>
		/// Decimal Twelfth of Pi.
		/// </summary>
		public const decimal PiOver12 = 0.26179938779914943653855361527329m;

		/// <summary>
		/// Decimal Three Halves of Pi.
		/// </summary>
		public const decimal ThreePiOver2 = 4.7123889803846898576939650749193m;

		/// <summary>
		/// Decimal Three Quarters of Pi.
		/// </summary>
		public const decimal ThreePiOver4 = 2.3561944901923449288469825374596m;

		/// <summary>
		/// Decimal Four Thirds of Pi.
		/// </summary>
		public const decimal FourPiOver3 = 4.1887902047863909846168578443727m;

		/// <summary>
		/// Decimal Five Halves of Pi.
		/// </summary>
		public const decimal FivePiOver2 = 7.8539816339744830961566084581988m;

		/// <summary>
		/// Decimal 2^63.
		/// </summary>
		public const decimal TwoToPower63 = 9223372036854775808.0m;

		/// <summary>
		/// Decimal One Radian in Degrees.
		/// </summary>
		public const decimal OneRadian = 57.295779513082320876798154814105m;

		/// <summary>
		/// Decimal One Degree in Radians.
		/// </summary>
		public const decimal OneDegree = 1.7453292519943295769236907684886e-2m;

		/// <summary>
		/// Decimal One Minute in Radians.
		/// </summary>
		public const decimal OneMinute = 2.9088820866572159615394846141477e-4m;

		/// <summary>
		/// Decimal One Second in Radians.
		/// </summary>
		public const decimal OneSecond = 4.8481368110953599358991410235795e-6m;

		/// <summary>
		/// <para>Gamma Constant - also known as Euler's Constant or Mascheroni's Constant.</para>
		/// <para>lim ( 1 + 1/2 + 1/3 + 1/4 + ... + 1/n - ln(n) )  as n -> infinity</para>
		/// </summary>
		public const decimal Gamma = 0.57721566490153286060651209008240m;

		/// <summary>
		/// Decimal Natural Log of the Square Root of (2 * Pi)
		/// </summary>
		public const decimal LnSqrt2Pi = 9.1893853320467274178032973640562e-1m;

		/// <summary>
		/// Decimal Golden Ratio Constant which is defined as (1 + Sqrt (5)) / 2.
		/// </summary>
		public const decimal GoldenRatio = 1.6180339887498948482045868343656m;
	}

}
